﻿@page
@model IndexModel
@{
    ViewData["Title"] = "Session List";
}

<div class="text-center">
    <h1 class="display-4">Session List</h1>
</div>

<div class="row text-end">
    <div class="col">
        <a asp-page="/Session/Create" class="btn btn-primary">Create</a>
    </div>
</div>

<table class="table table-hovered">
    <thead>
        <tr>
            <th>
                No.
            </th>
            <th>
                Name
            </th>
            <th>
                Speaker(s)
            </th>
            <th>
                Schedule
            </th>
        </tr>
    </thead>
    <tbody>
        @{
            var pageIndex = 1;
            foreach (var session in Model._sessions)
            {
                <tr>
                    <td>
                        @pageIndex
                    </td>
                    <td>
                        @session.Name
                    </td>
                    <td>
                        @session.SpeakerName
                    </td>
                    <td>
                        @session.StartTime.ToString("dd MMM yyyy HH:mm") - @session.FinishTime.ToString("dd MMM yyyy HH:mm")
                    </td>
                </tr>

                pageIndex++;
            }
        }
    </tbody>
</table>
